# class SIPParty |
Contains pure virtuals
Full name | `TelEngine::SIPParty`
Definition | `#include <libs/ysip/yatesip.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SIPParty (Mutex* mutex = 0)
- SIPParty (bool reliable, Mutex* mutex = 0)
- virtual ~SIPParty ()
- virtual bool transmit (SIPEvent* event)
- virtual const char* getProtoName () const
- virtual bool setParty (const URI& uri)
- virtual void* getTransport ()
- void setAddr (const String& addr, int port, bool local)
- void getAddr (String& addr, int& port, bool local)
- inline void appendAddr (String& buf, bool local, bool unsafe = true)
- inline Mutex* mutex ()
- inline const String& getLocalAddr () const
- inline const String& getPartyAddr () const
- inline int getLocalPort () const
- inline int getPartyPort () const
- inline bool isReliable () const

#### Protected Members

- Mutex* m_mutex
- bool m_reliable
- String m_local
- String m_party
- int m_localPort
- int m_partyPort

## Detailed Description

SIPParty (Mutex* mutex = 0) | ### SIPParty

SIPParty (bool reliable, Mutex* mutex = 0) | ### SIPParty

~SIPParty () | ### ~SIPParty

[virtual]

bool transmit (SIPEvent* event) | ### transmit

[pure virtual]

Transmit an event

Parameters:

event | Evend to send

Returns: False on fatal failure (subsequent send would fail again)

const char* getProtoName () | ### getProtoName

[const pure virtual]

bool setParty (const URI& uri) | ### setParty

[pure virtual]

void* getTransport () | ### getTransport

[pure virtual]

void setAddr (const String& addr, int port, bool local) | ### setAddr

void getAddr (String& addr, int& port, bool local) | ### getAddr

inline void appendAddr (String& buf, bool local, bool unsafe = true) | ### appendAddr

inline Mutex* mutex () | ### mutex

inline const String& getLocalAddr () | ### getLocalAddr

[const]

inline const String& getPartyAddr () | ### getPartyAddr

[const]

inline int getLocalPort () | ### getLocalPort

[const]

inline int getPartyPort () | ### getPartyPort

[const]

inline bool isReliable () | ### isReliable

[const]

Mutex* m_mutex | ### m_mutex

[protected]

bool m_reliable | ### m_reliable

[protected]

String m_local | ### m_local

[protected]

String m_party | ### m_party

[protected]

int m_localPort | ### m_localPort

[protected]

int m_partyPort | ### m_partyPort

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.